## org.hornetq.api.core.management
Interface DivertControl

    public interface DivertControl

A DivertControl is used to manage a divert.

Author:
  Jeff Mesnil

Method Summary
`String` `getAddress()` Returns the origin address used by this divert.
`String` `getFilter()` Returns the filter used by this divert.
`String` `getForwardingAddress()` Returns the forwarding address used by this divert.
`String` `getRoutingName()` Returns the routing name of this divert.
`String` `getTransformerClassName()` Return the name of the org.hornetq.core.server.cluster.Transformer implementation associated to this bridge.
`String` `getUniqueName()` Returns the cluster-wide unique name of this divert.
`boolean` `isExclusive()` Returns whether this divert is exclusive.

Method Detail

### getFilter

    String getFilter()

  Returns the filter used by this divert.

### isExclusive

    boolean isExclusive()

  Returns whether this divert is exclusive.
  if `true` messages will be exclusively diverted and will not be routed to the origin address, else messages will be routed both to the origin address and the forwarding address.

### getUniqueName

    String getUniqueName()

  Returns the cluster-wide unique name of this divert.

### getRoutingName

    String getRoutingName()

  Returns the routing name of this divert.

### getAddress

    String getAddress()

  Returns the origin address used by this divert.

### getForwardingAddress

    String getForwardingAddress()

  Returns the forwarding address used by this divert.

### getTransformerClassName

    String getTransformerClassName()

  Return the name of the org.hornetq.core.server.cluster.Transformer implementation associated to this bridge.

Copyright © 2009 Red Hat Inc. All Rights Reserved.